---
inputType: "CA10SN__CaSnowflakeUser__c"
testData:
  - file: "test-data.json"
importExtracts:
  - file: "/types/CA10SN__CaSnowflakeUser__c/object.extracts.yaml"
conditions:
  - status: "INAPPLICABLE"
    currentStateMessage: "The User does not use password authentication."
    check:
      NOT_EQUAL:
        left:
          EXTRACT: "CA10SN__hasPassword__c" 
        right:
          TEXT: "true" 
  - status: "INCOMPLIANT"
    currentStateMessage: "MFA is not enabled for this user."
    remediationMessage: "Enable MFA for this user."
    check:
      NOT_EQUAL:
        left:
          EXTRACT: "CA10SN__extAuthnDuo__c" 
        right:
          TEXT: "true"
otherwise:
  status: "COMPLIANT"
  currentStateMessage: "The user has MFA enabled."